package nc.ui.gl.accbookprint;

import java.awt.Container;
import java.awt.Dimension;
import java.awt.Frame;
import java.awt.Insets;
import java.awt.LayoutManager;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowAdapter;
import java.awt.event.WindowEvent;
import javax.swing.UIManager;
import nc.ui.gl.accbook.PeriodChooser3;
import nc.ui.gl.common.CompConsts;
import nc.ui.gl.common.DlgComponent;
import nc.ui.ml.NCLangRes;
import nc.ui.pub.ClientEnvironment;
import nc.ui.pub.beans.UIButton;
import nc.ui.pub.beans.UIDialog;
import nc.ui.pub.beans.UIPanel;
import nc.vo.bd.b54.GlorgbookVO;
import nc.vo.glcom.balance.GlQueryVO;
import nc.vo.sm.cmenu.GlorgbookExtVO;

public class PrintJobDlg extends UIDialog {

   private UIButton ivjUIButtonCancel = null;
   private UIButton ivjUIButtonOK = null;
   private UIPanel ivjUIDialogContentPane = null;
   private UIPanel ivjUIPanel2 = null;
   PrintJobDlg.IvjEventHandler ivjEventHandler = new PrintJobDlg.IvjEventHandler();
   private ClientEnvironment ce = ClientEnvironment.getInstance();
   private String m_pk_glorgbook;
   private UIPanel ivjPeriodPanel = null;
   private PeriodChooser3 ivjPeriodChooser = null;


   public PrintJobDlg() {
      this.initialize();
   }

   public PrintJobDlg(Container parent) {
      super(parent);
   }

   public PrintJobDlg(Container parent, String title) {
      super(parent, title);
   }

   public PrintJobDlg(Frame owner) {
      super(owner);
   }

   public PrintJobDlg(Frame owner, String title) {
      super(owner, title);
   }

   private void connEtoC1() {
      try {
         this.uIButtonOK_ActionEvents();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   private void connEtoC2() {
      try {
         this.uIButtonCancel_ActionEvents();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   public GlQueryVO getconVO() {
      GlQueryVO conVO = new GlQueryVO();
      conVO.setYear(this.getPeriodChooser().getResultYear());
      conVO.setPeriod(this.getPeriodChooser().getStartMon());
      conVO.setEndPeriod(this.getPeriodChooser().getEndMon());
      return conVO;
   }

   private UIButton getUIButtonCancel() {
      if(this.ivjUIButtonCancel == null) {
         try {
            this.ivjUIButtonCancel = new UIButton();
            this.ivjUIButtonCancel.setName("UIButtonCancel");
            this.ivjUIButtonCancel.setText(NCLangRes.getInstance().getStrByID("200235", "UPP200235-000023"));
            this.ivjUIButtonCancel.setSize(60, UIManager.getInt("Button.height"));
            this.ivjUIButtonCancel.setPreferredSize(new Dimension(60, UIManager.getInt("Button.height")));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIButtonCancel;
   }

   private UIButton getUIButtonOK() {
      if(this.ivjUIButtonOK == null) {
         try {
            this.ivjUIButtonOK = new UIButton();
            this.ivjUIButtonOK.setName("UIButtonOK");
            this.ivjUIButtonOK.setText(NCLangRes.getInstance().getStrByID("200235", "UPP200235-000036"));
            this.ivjUIButtonOK.setName("SpeBtn_Red");
            this.ivjUIButtonOK.setSize(60, UIManager.getInt("Button.height"));
            this.ivjUIButtonOK.setPreferredSize(new Dimension(60, UIManager.getInt("Button.height")));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjUIButtonOK;
   }

   private UIPanel getUIDialogContentPane() {
      if(this.ivjUIDialogContentPane == null) {
         try {
            this.ivjUIDialogContentPane = new UIPanel();
            this.ivjUIDialogContentPane.setName("UIDialogContentPane");
            this.ivjUIDialogContentPane.setLayout((LayoutManager)null);
            this.getUIDialogContentPane().add(this.getPeriodPanel(), this.getPeriodPanel().getName());
            UIPanel ivjExc = DlgComponent.getDlgOKPanel(this.getPeriodPanel(), this.getPeriodPanel(), this.getUIButtonOK(), this.getUIButtonCancel());
            this.getUIDialogContentPane().add(ivjExc);
            int width = this.getDlgWidth(this.getPeriodPanel());
            int height = this.getDlgHeight(this.getPeriodPanel());
            this.setSize(width, height);
         } catch (Throwable var4) {
            this.handleException(var4);
         }
      }

      return this.ivjUIDialogContentPane;
   }

   private void handleException(Throwable exception) {
   }

   private void initConnections() throws Exception {
      this.getUIButtonOK().addActionListener(this.ivjEventHandler);
      this.getUIButtonCancel().addActionListener(this.ivjEventHandler);
   }

   private void initialize() {
      try {
         this.setName("CashFlowQueryQ");
         this.setDefaultCloseOperation(2);
         this.setSize(420, 180);
         this.setTitle(NCLangRes.getInstance().getStrByID("20023030", "UPP20023030-000554"));
         this.setContentPane(this.getUIDialogContentPane());
         this.initConnections();
      } catch (Throwable var2) {
         this.handleException(var2);
      }

   }

   public static void main(String[] args) {
      try {
         PrintJobDlg exception = new PrintJobDlg();
         exception.setModal(true);
         exception.addWindowListener(new WindowAdapter() {
            public void windowClosing(WindowEvent e) {
               System.exit(0);
            }
         });
         exception.show();
         Insets insets = exception.getInsets();
         exception.setSize(exception.getWidth() + insets.left + insets.right, exception.getHeight() + insets.top + insets.bottom);
         exception.setVisible(true);
      } catch (Throwable var3) {
         System.err.println("nc.ui.pub.beans.UIDialog 的 main() 中发生异常");
         var3.printStackTrace(System.out);
      }

   }

   public void uIButtonCancel_ActionEvents() {
      this.closeCancel();
   }

   public void uIButtonOK_ActionEvents() {
      this.closeOK();
   }

   public String getPK_GLOrgBook() {
      if(this.m_pk_glorgbook == null) {
         this.m_pk_glorgbook = ((GlorgbookVO)this.ce.getValue("pk_glorgbook")).m_pk_glorgbook;
      }

      return this.m_pk_glorgbook;
   }

   private UIPanel getPeriodPanel() {
      if(this.ivjPeriodPanel == null) {
         try {
            this.ivjPeriodPanel = new UIPanel();
            this.ivjPeriodPanel.setName("PeriodPanel");
            this.ivjPeriodPanel.setBorder(CompConsts.getSmallPaneBorder());
            this.ivjPeriodPanel.setBackground(CompConsts.getSmallPaneBgcolor());
            this.ivjPeriodPanel.setLayout((LayoutManager)null);
            this.ivjPeriodPanel.add(this.getPeriodChooser(), this.getPeriodChooser().getName());
            int ivjExc = this.getPeriodChooser().getWidth() + UIManager.getInt("InnerDlg.hEmptyBorder") * 2;
            this.ivjPeriodPanel.setBounds(CompConsts.getEmptyX(), CompConsts.getEmptyY(), ivjExc, CompConsts.getYearPeriodDatePaneHeight());
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjPeriodPanel;
   }

   private PeriodChooser3 getPeriodChooser() {
      if(this.ivjPeriodChooser == null) {
         try {
            this.ivjPeriodChooser = new PeriodChooser3();
            this.ivjPeriodChooser.setName("PeriodChooser");
            this.ivjPeriodChooser.setResultYear(((GlorgbookExtVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getPeriodYear());
            this.ivjPeriodChooser.setStartMon(((GlorgbookExtVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getPeriodMonth());
            this.ivjPeriodChooser.setEndMon(((GlorgbookExtVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getPeriodMonth());
            this.ivjPeriodChooser.refresh(((GlorgbookVO)ClientEnvironment.getInstance().getValue("pk_glorgbook")).getPrimaryKey());
            this.ivjPeriodChooser.setBackground(CompConsts.getSmallPaneBgcolor());
            this.ivjPeriodChooser.setLocation(UIManager.getInt("InnerDlg.hEmptyBorder"), UIManager.getInt("InnerDlg.vEmptyBorder"));
         } catch (Throwable var2) {
            this.handleException(var2);
         }
      }

      return this.ivjPeriodChooser;
   }

   class IvjEventHandler implements ActionListener {

      public void actionPerformed(ActionEvent e) {
         if(e.getSource() == PrintJobDlg.this.getUIButtonOK()) {
            PrintJobDlg.this.connEtoC1();
         }

         if(e.getSource() == PrintJobDlg.this.getUIButtonCancel()) {
            PrintJobDlg.this.connEtoC2();
         }

      }
   }
}
